package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.ZJSYMapper;
import com.sa.ibiz.demo.demo.domain.ZJSY;
import com.sa.ibiz.demo.demo.service.ZJSYService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.ZJSYSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[ZJSY] 服务对象接口实现
 */
@Service
public class ZJSYServiceImpl extends ServiceImplBase<ZJSYMapper, ZJSY> implements ZJSYService{


    @Resource
    private ZJSYMapper zjsyMapper;


    @Override
    public boolean create(ZJSY et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(ZJSY et){
        this.beforeUpdate(et);
		this.zjsyMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(ZJSY et){
		return et.getZjsyid();  
    }

    @Override
    public boolean getDraft(ZJSY et)  {
            return true;
    }

	public List<ZJSY> listDefault(ZJSYSearchFilter filter) {
		return zjsyMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<ZJSY> searchDefault(ZJSYSearchFilter filter) {
		return zjsyMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return zjsyMapper.selectRow(sql);
    }

 }